---
wsId: SpectroCoin
title: Bitcoin Wallet by SpectroCoin
altTitle: 
authors:
- leo
appId: lt.spectrofinance.spectrocoin.ios.wallet
appCountry: 
idd: 923696089
released: 2014-12-30
updated: 2022-02-21
version: 1.18.2
stars: 2.9
reviews: 13
size: '55626752'
website: https://spectrocoin.com/
repository: 
issue: 
icon: lt.spectrofinance.spectrocoin.ios.wallet.jpg
bugbounty: 
meta: ok
verdict: custodial
date: 2021-05-25
signer: 
reviewArchive: 
twitter: spectrocoin
social:
- https://www.linkedin.com/company/spectrocoin
- https://www.facebook.com/spectrocoin

---

Neither on the description nor on the website can we find any claims about coins
custody and especially given what we had found when reviewing the version on the
Play Store we have to assume it is custodial.

Our verdict: **not verifiable**
